#!/usr/bin/make -f

export PYBUILD_NAME=elasticsearch-curator

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ docs/.build/html
	a2x -d book --format text docs/asciidoc/index.asciidoc
	mv docs/asciidoc/index.text docs/asciidoc/reference.txt

override_dh_auto_test:
	# disabled to allow Nose removal

override_dh_auto_clean:
	-dh_auto_clean
	rm -rf docs/.build
	rm -f docs/asciidoc/reference.txt
	rm -rf build
	find . | grep -E "(__pycache__|\.pyc|\.egg)" | xargs rm -rf
	rm -rf .pybuild/
	rm -rf debian/.debhelper/
	rm -f debian/debhelper-build-stamp
	rm -f debian/*.debhelper
	rm -f debian/*.substvars
	rm -f debian/files
	rm -rf debian/elasticsearch-curator/
	rm -rf debian/python3-elasticsearch-curator/
	rm -rf debian/python-elasticsearch-curator-doc/

execute_after_dh_auto_install:
	mv debian/python3-elasticsearch-curator/usr/bin debian/elasticsearch-curator/usr
	rm -rf debian/python3-elasticsearch-curator/usr/bin
